# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cirru_edn"
version = "0.7.7"
authors = ["jiyinyiyong <jiyinyiyong@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Parser/Writer for Cirru EDN"
homepage = "http://cirru.org"
documentation = "https://docs.rs/crate/cirru_edn/"
readme = "README.md"
license = "MIT"
repository = "https://github.com/Cirru/cirru_edn.rs"

[lib]
name = "cirru_edn"
path = "src/lib.rs"

[[example]]
name = "api_doc_demo"
path = "examples/api_doc_demo.rs"

[[example]]
name = "buffer"
path = "examples/buffer.rs"

[[example]]
name = "error_demo"
path = "examples/error_demo.rs"

[[example]]
name = "from"
path = "examples/from.rs"

[[example]]
name = "main"
path = "examples/main.rs"

[[example]]
name = "readme_test"
path = "examples/readme_test.rs"

[[example]]
name = "serde_demo"
path = "examples/serde_demo.rs"

[[example]]
name = "struct_key_demo"
path = "examples/struct_key_demo.rs"

[[example]]
name = "test_cirru_serde"
path = "examples/test_cirru_serde.rs"

[[example]]
name = "test_parse_error"
path = "examples/test_parse_error.rs"

[[test]]
name = "any_ref_tests"
path = "tests/any_ref_tests.rs"

[[test]]
name = "atom_tests"
path = "tests/atom_tests.rs"

[[test]]
name = "display_tests"
path = "tests/display_tests.rs"

[[test]]
name = "edn_tests"
path = "tests/edn_tests.rs"

[[test]]
name = "from_to_tests"
path = "tests/from_to_tests.rs"

[[test]]
name = "quote_deserialization_tests"
path = "tests/quote_deserialization_tests.rs"

[[test]]
name = "record_deserialization_tests"
path = "tests/record_deserialization_tests.rs"

[[test]]
name = "serde_tests"
path = "tests/serde_tests.rs"

[[test]]
name = "tuple_tests"
path = "tests/tuple_tests.rs"

[[test]]
name = "version_tests"
path = "tests/version_tests.rs"

[[test]]
name = "viewer_tests"
path = "tests/viewer_tests.rs"

[[bench]]
name = "parsing"
path = "benches/parsing.rs"
harness = false

[dependencies.cirru_parser]
version = "0.2.8"

[dependencies.cjk]
version = "0.2.5"

[dependencies.hex]
version = "0.4.3"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dev-dependencies.criterion]
version = "0.8.2"

[profile.release]
debug = 2
